Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0027183
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Openbravo ERP] 09. Financial managementmajorhave not tried2014-07-24 17:312014-08-08 18:54
ReporterjonalegriaesarteView Statuspublic 
Assigned Toeduardo_Argal 
PrioritynormalResolutionfixedFixed in Version
StatusclosedFix in branchFixed in SCM revision7c7efd35f42f
ProjectionnoneETAnoneTarget Version3.0PR14Q4
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionpiSCM revision 
Review Assigned Torafaroda
Web browser
ModulesCore
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0027183: Reconcilation ending balance is incorrect for account with mix of manual and bank statement reconcilations

DescriptionThe changes introduce in https://code.openbravo.com/erp/devel/pi/rev/627fb422fbe8 [^] result in the ending balance of a reconciliation
being incorrect if
a) current reconciliation is using an imported bank statement
b) a previous reconciliation was done manually without importing bank statement.

This is because the ending balance of the reconciliation is calculated in MatchTransactionDao as the initial balance of the account plus
all the sum of all processed bank statement lines to the ending date.
However if the account has manual reconciliation then the ending balance does not include any transactions reconciled by those manual
reconciliations.
Steps To ReproduceTo reproduce
1) Create a financial account
2) Enter transactions and manually reconcile
3) Enter transactions and reconcile using bank statement.
Note that ending reconciliation balance does not equal account balance.
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]

-  Notes
(0068873)
hgbot (developer)
2014-07-24 17:42

Repository: erp/devel/pi
Changeset: 7c7efd35f42f29b5b13d7c501c0577d89c7666bb
Author: Eduardo Argal Guibert <eduardo.argal <at> openbravo.com>
Date: Thu Jul 24 17:41:49 2014 +0200
URL: http://code.openbravo.com/erp/devel/pi/rev/7c7efd35f42f29b5b13d7c501c0577d89c7666bb [^]

Fixes bug 27183: Reconcilation ending balance is incorrect

---
M modules/org.openbravo.advpaymentmngt/src/org/openbravo/advpaymentmngt/dao/MatchTransactionDao.java
---
(0069058)
rafaroda (developer)
2014-08-04 09:04

Final reconciliation now sets properly Current Balance and Last reconciliation balance: see https://drive.google.com/folderview?id=0B649lz4ZYJcHdXRIZ00yRjhJSnM&usp=sharing [^]
(0069223)
hudsonbot (developer)
2014-08-08 18:54

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/4450016dee64 [^]
Maturity status: Test

- Issue History
Date Modified Username Field Change
2014-07-24 17:31 jonalegriaesarte New Issue
2014-07-24 17:31 jonalegriaesarte Assigned To => eduardo_Argal
2014-07-24 17:31 jonalegriaesarte Modules => Core
2014-07-24 17:31 jonalegriaesarte Triggers an Emergency Pack => No
2014-07-24 17:42 hgbot Checkin
2014-07-24 17:42 hgbot Note Added: 0068873
2014-07-24 17:42 hgbot Status new => resolved
2014-07-24 17:42 hgbot Resolution open => fixed
2014-07-24 17:42 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/devel/pi/rev/7c7efd35f42f29b5b13d7c501c0577d89c7666bb [^]
2014-08-04 09:04 rafaroda Review Assigned To => rafaroda
2014-08-04 09:04 rafaroda Note Added: 0069058
2014-08-04 09:04 rafaroda Status resolved => closed
2014-08-08 18:54 hudsonbot Checkin
2014-08-08 18:54 hudsonbot Note Added: 0069223


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker